Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  CATIA V5 Programmierung
  Abstand in einer bestimmten Richtung in Produkt Kontext abmessen.

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Die Gewinne der Zukunft werden mit intelligenten, autonomen Elektrofahrzeugen eingefahren. (3DEXPERIENCE)
Autor Thema:   Abstand in einer bestimmten Richtung in Produkt Kontext abmessen. (400 mal gelesen)
ballazolo
Mitglied
Entwicklungsengineure


Sehen Sie sich das Profil von ballazolo an!   Senden Sie eine Private Message an ballazolo  Schreiben Sie einen Gästebucheintrag für ballazolo

Beiträge: 25
Registriert: 20.08.2013

HP Z420
Intel(R), Xeon(R), CPU E5-1620, 3,60 GHz
Arbeitsspeicher: 16GB

erstellt am: 11. Sep. 2020 19:53    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


1.jpg

 
Hallo zusammen,
Ist es irgendwie möglich mittels VBA die Abstand in einer bestimmten Richtung zwischen zwei Bauteile in einem Produkt abzumessen?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bgrittmann
Moderator
Konstrukteur


Sehen Sie sich das Profil von bgrittmann an!   Senden Sie eine Private Message an bgrittmann  Schreiben Sie einen Gästebucheintrag für bgrittmann

Beiträge: 11118
Registriert: 30.11.2006

CATIA V5R19

erstellt am: 11. Sep. 2020 20:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für ballazolo 10 Unities + Antwort hilfreich

Servus

Manuell geht das über die "Abstands- und Bandanalyse". Da kann man die Richtung für die Abstandmessung zwischen Produkten vorgeben (allerdings nur X, Y und Z-Richtung der Baugruppe).
per Makro: siehe Distance-Objekt in der Doku.

Gruß
Bernd

------------------
Warum einfach, wenn es auch kompliziert geht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

ballazolo
Mitglied
Entwicklungsengineure


Sehen Sie sich das Profil von ballazolo an!   Senden Sie eine Private Message an ballazolo  Schreiben Sie einen Gästebucheintrag für ballazolo

Beiträge: 25
Registriert: 20.08.2013

HP Z420
Intel(R), Xeon(R), CPU E5-1620, 3,60 GHz
Arbeitsspeicher: 16GB

erstellt am: 15. Sep. 2020 19:52    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Bernd


ich habe nachgeschaut und ja es geht auch per VBA mittels catDistanceMeasureTypeAlongX, catDistanceMeasureTypeAlongY bzw. catDistanceMeasureTypeAlongZ

Danke für den Hinweis

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

danilo.sl
Mitglied
Student

Sehen Sie sich das Profil von danilo.sl an!   Senden Sie eine Private Message an danilo.sl  Schreiben Sie einen Gästebucheintrag für danilo.sl

Beiträge: 1
Registriert: 08.09.2020

erstellt am: 24. Sep. 2020 14:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für ballazolo 10 Unities + Antwort hilfreich

Hi ballazolo,

ich stehe vor einem ähnlichen Problem. Hast du hierzu ein konkretes Beispiel wie das mit catDistanceMeasureTypeAlongX funktioniert?

Beste Grüße
Danilo

[Diese Nachricht wurde von danilo.sl am 24. Sep. 2020 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

ballazolo
Mitglied
Entwicklungsengineure


Sehen Sie sich das Profil von ballazolo an!   Senden Sie eine Private Message an ballazolo  Schreiben Sie einen Gästebucheintrag für ballazolo

Beiträge: 25
Registriert: 20.08.2013

HP Z420
Intel(R), Xeon(R), CPU E5-1620, 3,60 GHz
Arbeitsspeicher: 16GB

erstellt am: 24. Sep. 2020 16:00    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Danilo.sl

Ich habe es noch nicht umgesetzt, aber ich würde die zwei Bauteile mit einer der 3 Hauptrichtungen (z.B. X) überlappen und danach die entsprechende Methode benutzen (z.B. catDistanceMeasureTypeAlongX).

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bgrittmann
Moderator
Konstrukteur


Sehen Sie sich das Profil von bgrittmann an!   Senden Sie eine Private Message an bgrittmann  Schreiben Sie einen Gästebucheintrag für bgrittmann

Beiträge: 11118
Registriert: 30.11.2006

CATIA V5R19

erstellt am: 24. Sep. 2020 17:25    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für ballazolo 10 Unities + Antwort hilfreich

Servus Danilo

Hier ein kleines Beispiel:

Code:
Sub CATMain()

Dim oProduct as Product
Dim oSel as Selection
Dim oDistances As Distances
Dim oDistance As Distance

Set oProduct = Catia.ActiveDocument.Product
Set oSel = Catia.ActiveDocument.Selection

oSel.Clear
oSel.add oProduct.Products.Item(1)
oSel.add oProduct.Products.Item(2)

Set oDistances = oProduct.GetTechnologicalObject("Distances")
Set oDistance = oDistances.AddFromSel
oDistance.MeasureType = catDistanceMeasureTypeAlongZ
oDistance.ComputationType = catDistanceComputationTypeInsideOne

oDistance.Compute

msgBox oDistance.Value

oDistances.Remove(oDistances.Count)

End Sub


Gruß
Bernd

------------------
Warum einfach, wenn es auch kompliziert geht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Lionel Hutz
Mitglied



Sehen Sie sich das Profil von Lionel Hutz an!   Senden Sie eine Private Message an Lionel Hutz  Schreiben Sie einen Gästebucheintrag für Lionel Hutz

Beiträge: 194
Registriert: 26.03.2014

CATIA V5 R20

erstellt am: 25. Sep. 2020 07:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für ballazolo 10 Unities + Antwort hilfreich

Ich habe mich gerade gefragt, ob man die Richtung auch vorgeben kann.
Ja, kann man, indem man die Z-Achse der aktiven Komponente ausrichtet.

Habe die unterschiedlichen MeasureTypes gefunden http://catiadoc.free.fr/online/interfaces/enum_CatDistanceMeasureType.htm

Code:
enum CatDistanceMeasureType {
  catDistanceMeasureTypeMinimum,
  catDistanceMeasureTypeAlongX,
  catDistanceMeasureTypeAlongY,
  catDistanceMeasureTypeAlongZ,
  catDistanceMeasureTypeBand
}

Was tut denn catDistanceMeasureTypeBand (The computation analyses the band between products)?
Bei meinen kurzen Versuchen kommt das gleich mit TypeMinimum.

Bei CatDistanceComputationType entspricht es etwa den Optionen von Contact/Clash:

Code:
enum CatDistanceComputationType {
  catDistanceComputationTypeInsideOne,
  catDistanceComputationTypeAgainstAll,
  catDistanceComputationTypeBetweenTwo
}


Und was ich noch interessant finde ist, dass ein Clash farbig markiert wird.

Ich habe das Beispiel mal gepimpt, dass die Messung erhalten bleibt bis das Makro ein zweites Mal ausgeführt wird.

Code:
Sub CATMain()
Dim oProduct as Product
Dim oSel as Selection
Dim oDistances As Distances
Dim oDistance As Distance

Set oProduct = Catia.ActiveDocument.Product
Set oSel = Catia.ActiveDocument.Selection


oSel.Clear
oSel.add oProduct.Products.Item(1)
oSel.add oProduct.Products.Item(2)

Set oDistances = oProduct.GetTechnologicalObject("Distances")

If oDistances.Count > 0 Then
oDistances.Remove(oDistances.Count)
Exit Sub
End If

Set oDistance = oDistances.AddFromSel
oDistance.MeasureType = catDistanceMeasureTypeAlongZ
'oDistance.MeasureType = catDistanceMeasureTypeBand
oDistance.ComputationType = catDistanceComputationTypeInsideOne

oDistance.Compute

msgBox oDistance.Value

'oDistances.Remove(oDistances.Count)

End Sub


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bgrittmann
Moderator
Konstrukteur


Sehen Sie sich das Profil von bgrittmann an!   Senden Sie eine Private Message an bgrittmann  Schreiben Sie einen Gästebucheintrag für bgrittmann

Beiträge: 11118
Registriert: 30.11.2006

CATIA V5R19

erstellt am: 25. Sep. 2020 08:38    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für ballazolo 10 Unities + Antwort hilfreich

Servus Lionel

Die Bandanalyse (catDistanceMeasureTypeBand) ist eher für eine visuelle Auswertung gedacht. Dabei werden definierbare Abstandsbereiche
farbig eingefärbt.
Von der Makroprogrammierung ist das wohl eher uninteressant, da AFAIK zB der Export fehlt bzw die Auswertung nur visuell statt findet.

Gruß
Bernd


------------------
Warum einfach, wenn es auch kompliziert geht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz